@import url(https://fonts.googleapis.com/css?family=Oswald:400,700);
@import url(https://use.fontawesome.com/releases/v6.4.2/css/all.css);

ul {
    position: absolute;
    top: 60px;
    left: 49px;
    transform: skewY(-15deg);
}
li {
    position: relative;
    list-style: none;
    width: 120px;
    padding: 15px;
    background-color: black;
    z-index: calc(1 * var(--i));
    transition: 0.5;
}
li:hover {
    background-color: purple;
    transform: translateX(-50px);
}
li:before {
    font-family: "FontAwesome";
    color: gray;
    display: flex;
    justify-content: center;
    align-items: center;
    content: attr(data-icon);
    position: absolute;
    top: 0px;
    left: -40px;
    width: 40px;
    height: 100%;
    background: black;
    transform-origin: right;
    transform: skewY(45deg);
    transition: 0.5s;
}
li:hover::before {
    background-color: purple;
}
li::after {
    content: "";
    position: absolute;
    top: -40px;
    left: 0px;
    width: 100%;
    height: 40px;
    background-color: black;
    transform-origin: bottom;
    transform: skewX(45deg);
    transition: 0.5s;
}
li:hover::after {
    background-color: purple;
}
li a {
    text-decoration: none;
    color: gray;
    display: block;
    text-transform: uppercase;
    letter-spacing: 0.05em;
    transition: 0.5s;
}
li:hover a {
    color: white;
}
li:last-child::after {
    box-shadow: -120px 120px 20px rgba(0,0,0,0.25);
}